
package de.ivu.elect.presentation.niederschrift.form;

import javax.inject.Inject;

import de.ivu.elect.business.niederschrift.boundary.NiederschriftFormatter;
import de.ivu.elect.presentation.ViewFormBuilder;
import de.ivu.elect.presentation.niederschrift.NiederschriftViewContext;

public abstract class AbstractNiederschriftViewFormBuilder extends ViewFormBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NiederschriftViewContext niederschriftViewContext;

  public AbstractNiederschriftViewFormBuilder() {
    super();
  }

  public boolean isNiederschriftErfassungMitWahlContext() {
    return niederschriftViewContext.isNiederschriftErfassungMitWahlContext();
  }

  public NiederschriftFormatter getNiederschriftFormatter() {
    return niederschriftViewContext.getNiederschriftFormatter();
  }
}
